"Initialize Image Building"
MCCacheRepository instVarNamed: 'default' put: nil.
Deprecation raiseWarning: false.!
"Pier"
[ Gofer new
	renggli: 'pier';
	package: 'Pier-Model';
	package: 'Pier-Tests';
	package: 'Pier-Seaside';
	package: 'Pier-Blog';
	package: 'Pier-Security';
	package: 'Pier-Squeak-Persistency';
	load ]
		valueSupplyingAnswers: {
			{ 'would you like'. true }.
			{ 'pier kernel'. 'Pier' }.
			{ 'entry point'. 'pier' }.
			{ 'port number'. '8080' }.
			{ 'is running on'. nil }.
		}.
!
"Pier Addons"
Gofer new
	renggli: 'pieraddons';
	package: 'Pier-Design';
	package: 'Pier-Documents';
	package: 'Pier-EditorEnh';
	package: 'Pier-Google';
	package: 'Pier-Design';
	package: 'Pier-Links';
	package: 'Pier-Randomizer';
	package: 'Pier-TagCloud';
	package: 'Pier-Slideshow';
	package: 'Pier-Twitter';
	package: 'Pier-Book';
	package: 'Pier-DesignChooser';
	package: 'Pier-Setup';
	load.
!
"Install Setup"
PRLoader setupPier.!
"Background"
World color: Color white.
!
"Logo"
| stream morph |
World submorphs do: [ :each |
	each class = ImageMorph
		ifTrue: [ each delete ] ].
stream := HTTPSocket httpGet: 'http://www.piercms.com/files/d9/c0o7j748kn0oi311va11k6yy079jki/pier-logo.png'.
stream binary; reset.
morph := ((PNGReadWriter on: stream) nextImage
	magnifyBy: 0.25)
	asMorph.
morph left: 10; top: 10; lock: true; sticky: true.
World addMorph: morph.!
"Unload Build Tools"
[ Gofer new
	package: 'HudsonBuildTools';
	unload ]
		on: Error
		do: [ :err | "package not present" ].
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Author reset.
Smalltalk garbageCollect.
Symbol compactSymbolTable.
Deprecation raiseWarning: true.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].!
